//
//  AgoraFFplayKit.h
//  AgoraPlayerKit
//
//  Created by zhanxiaochao on 2018/11/2.
//  Copyright © 2018年 agora. All rights reserved.
//

#import <Foundation/Foundation.h>
NS_ASSUME_NONNULL_BEGIN
typedef enum FF_MEDIA_PLAYER_STATE

{
    
    FF_MEDIA_PLAYER_STATE_UNINITIALIZED = 0,
    
    FF_MEDIA_PLAYER_STATE_READY = 1,
    
    FF_MEDIA_PLAYER_STATE_PLAY = 2,
    
    FF_MEDIA_PLAYER_STATE_PAUSE = 3,
    
    FF_MEDIA_PLAYER_STATE_STOP = 4,
    
    FF_MEDIA_PLAYER_STATE_BUFFERING = 5,
    
    FF_MEDIA_PLAYER_STATE_COMPLETE = 6,
    
}FF_MEDIA_PLAYER_STATE;

typedef enum FF_KIT_ERROR

{
    
    FF_KIT_ERROR_LOADED_ERROR_UNSUPPORTED_ARGUMENT = 1,
    
    FF_KIT_ERROR_LOADED_ERROR_CORRUPTED_DATA = 2,
    
    FF_KIT_ERROR_LOADED_ERROR_UNSUPPORTED_FORMAT = 3,
    
    FF_KIT_ERROR_LOADED_ERROR_NO_AVAILABLE_TRACK = 4,
    
    FF_KIT_ERROR_NETWORK_UNAVAILABLE = 7,
    
    FF_KIT_ERROR_NETWORK_AVAILABLE = 8
    
    
}FF_KIT_ERROR;

@interface AgoraFFplayKit : NSObject

+(instancetype)shareInstance;
@property (nonatomic, strong) void(^yuvDataCallBack)(int linsize[_Nullable], void *data,int w , int h);
@property (nonatomic, strong) void(^audioDataCallBack)(void *data,int length);
@property (nonatomic, strong) void(^videoInfoDataCallBack)(int index,long duation,int sample_rate, int channels);
@property (nonatomic, strong) void(^onPlayerStateChanged)(FF_MEDIA_PLAYER_STATE state);
@property (nonatomic, strong) void(^onKitError)(FF_KIT_ERROR error);
@property (nonatomic, strong) void(^onVideoTrackCallBack)(int index,int width,int height);
-(void)loadVideo:(NSString *)videoPath isAutoPlay:(bool) isAutoPlay;
-(int)getDuation;
-(long)getCurrentPosition;
-(void)seekTo:(long) msec;
-(void)adjustPlaybackSignalVolume:(int) val;
-(void)play;
-(void)pause;
-(void)resume;
-(void)stop;
-(void)unload;
@end

NS_ASSUME_NONNULL_END
